Skip to content
LogoLogo

Approve or reject the exact immutable Agent action proposal once

Approve or reject the exact immutable Agent action proposal once

POST/api/v1/workspaces/{workspace_id}/agents/{agent_id}/runs/{run_id}/actions/{action_id}/approvals/{approval_id}/decision

Path Parameters

workspace_idRequired
string <uuid>
Example0198ac5e-f9b7-7000-8000-000000000001
agent_idRequired
string <uuid>
Example0198ac5e-f9b7-7000-8000-000000000001
run_idRequired
string <uuid>
Example0198ac5e-f9b7-7000-8000-000000000001
action_idRequired
string <uuid>
Example0198ac5e-f9b7-7000-8000-000000000001
approval_idRequired
string <uuid>
Example0198ac5e-f9b7-7000-8000-000000000001

Header Parameters

X-CSRF-TokenRequired
string·min 43·max 43

Session-bound CSRF token. It must exactly match the __Host-assign_csrf cookie sent with the request.

Idempotency-KeyRequired
string·min 16·max 200

Opaque client-generated key for safely retrying this operation.

Request Body

application/json
decisionRequired
string
Values
approvedrejected
reasonRequired
string·max 500

Responses